﻿@model BookViewModel

@{
    ViewData["Title"] = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<br />
<br />
<br />
<h1>Details</h1>

<div>
    <h4>Book</h4>
    <hr />
    <div class="row">
        <div class="col-sm-1 font-weight-bold">
            <dd class="col-sm-12">
                @Html.DisplayNameFor(model => model.Title)
            </dd>
            <dd class="col-sm-12">
                @Html.DisplayNameFor(model => model.AuthorName)
            </dd>
            <dd class="col-sm-12">
                @Html.DisplayNameFor(model => model.Pages)
            </dd>
            <dd class="col-sm-12">
                @Html.DisplayNameFor(model => model.Year)
            </dd>
            <dd class="col-sm-12">
                @Html.DisplayNameFor(model => model.Country)
            </dd>
            <dd class="col-sm-12">
                @Html.DisplayNameFor(model => model.Language)
            </dd>
            <dd class="col-sm-12">
                @Html.DisplayNameFor(model => model.Link)
            </dd>
            <dd class="col-sm-12">
                @Html.DisplayNameFor(model => model.ISBN)
            </dd>
            <dd class="col-sm-12">
                @Html.DisplayNameFor(model => model.Category)
            </dd>
        </div>
        <div class="col-sm-3">
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Title)
            </dd>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.AuthorName)
            </dd>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Pages)
            </dd>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Year)
            </dd>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Country)
            </dd>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Language)
            </dd>
            <dd class="col-sm-10">
                <a href="@Html.DisplayFor(model => model.Link)" target="_blank">Link to site</a>
            </dd>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.ISBN)
            </dd>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Category)
            </dd>
        </div>
        <div class="col-sm-4">
        <img src="@Html.DisplayFor(model => model.ImageURL)" height="300" />
        </div>
    </div>
</div>
<div class="input-group-append border-bottom">
    @if (User.IsInRole("Librarian"))
    {
    <a asp-action="Edit" asp-route-id="@Model.Id" class="nav-link btn btn-outline-info text-dark mr-1">Edit</a>
    }
    <a asp-action="Index" class="nav-link btn btn-outline-info text-dark">Back to List</a>
</div>
